-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.7.18


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema pruebas
--

-- CREATE DATABASE IF NOT EXISTS pruebas;
-- USE pruebas;

--
-- Definition of table `reconcile_supplier`
--

DROP TABLE IF EXISTS `reconcile_supplier`;
CREATE TABLE `reconcile_supplier` (
  `id_reconcile_supplier` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  PRIMARY KEY (`id_reconcile_supplier`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `reconcile_supplier`
--

/*!40000 ALTER TABLE `reconcile_supplier` DISABLE KEYS */;
INSERT INTO `reconcile_supplier` (`id_reconcile_supplier`,`name`) VALUES 
 (1,'Proveedor 1'),
 (2,'Proveedor 2'),
 (3,'Proveedor 3'),
 (4,'Proveedor 5'),
 (5,'Proveedor 4'),
 (6,'Proveedor 6');
/*!40000 ALTER TABLE `reconcile_supplier` ENABLE KEYS */;


--
-- Definition of table `reconcile_real`
--

DROP TABLE IF EXISTS `reconcile_real`;
CREATE TABLE `reconcile_real` (
  `id_reconcile_real` int(11) NOT NULL AUTO_INCREMENT,
  `reconcile_supplier_id` int(11) DEFAULT NULL,
  `real_date` date NOT NULL,
  `amount` decimal(10,2) NOT NULL,
  `swich_no_reconcile` varchar(1) DEFAULT '0',
  `swich_reconcile` varchar(1) DEFAULT '0',
  PRIMARY KEY (`id_reconcile_real`),
  KEY `fk_reconcile_real_reconcile_supplier1_idx` (`reconcile_supplier_id`),
  CONSTRAINT `fk_reconcile_real_reconcile_supplier1` FOREIGN KEY (`reconcile_supplier_id`) REFERENCES `reconcile_supplier` (`id_reconcile_supplier`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `reconcile_real`
--

/*!40000 ALTER TABLE `reconcile_real` DISABLE KEYS */;
INSERT INTO `reconcile_real` (`id_reconcile_real`,`reconcile_supplier_id`,`real_date`,`amount`,`swich_no_reconcile`,`swich_reconcile`) VALUES 
 (1,1,'2024-06-23','1500.00','0','1'),
 (2,2,'2024-06-24','1400.00','0','0'),
 (3,1,'2024-07-08','900.00','0','0'),
 (4,6,'2024-06-28','1000.00','0','0'),
 (5,4,'2024-06-27','1150.00','0','0'),
 (6,5,'2024-06-25','1300.00','0','0'),
 (7,3,'2024-06-25','1400.00','0','0');
/*!40000 ALTER TABLE `reconcile_real` ENABLE KEYS */;



--
-- Definition of table `reconcile_forecast`
--

DROP TABLE IF EXISTS `reconcile_forecast`;
CREATE TABLE `reconcile_forecast` (
  `id_reconcile_forecast` int(11) NOT NULL AUTO_INCREMENT,
  `reconcile_supplier_id` int(11) DEFAULT NULL,
  `planned_date` date NOT NULL,
  `amount` decimal(10,2) NOT NULL,
  `reconcile_real_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id_reconcile_forecast`),
  KEY `fk_reconcile_forecast_reconcile_supplier_idx` (`reconcile_supplier_id`),
  KEY `fk_reconcile_forecast_reconcile_real1_idx` (`reconcile_real_id`),
  CONSTRAINT `fk_reconcile_forecast_reconcile_real1` FOREIGN KEY (`reconcile_real_id`) REFERENCES `reconcile_real` (`id_reconcile_real`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `fk_reconcile_forecast_reconcile_supplier` FOREIGN KEY (`reconcile_supplier_id`) REFERENCES `reconcile_supplier` (`id_reconcile_supplier`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `reconcile_forecast`
--

/*!40000 ALTER TABLE `reconcile_forecast` DISABLE KEYS */;
INSERT INTO `reconcile_forecast` (`id_reconcile_forecast`,`reconcile_supplier_id`,`planned_date`,`amount`,`reconcile_real_id`) VALUES 
 (1,1,'2024-06-23','1500.00',1),
 (2,2,'2024-06-24','1400.00',NULL),
 (3,3,'2024-06-25','1300.00',NULL),
 (4,5,'2024-06-26','1200.00',NULL),
 (5,4,'2024-06-27','1100.00',NULL),
 (6,6,'2024-06-28','1000.00',NULL),
 (7,1,'2024-07-09','900.00',NULL),
 (8,1,'2024-07-01','100.00',NULL),
 (9,1,'2024-07-02','200.00',NULL),
 (10,1,'2024-07-03','150.00',NULL),
 (11,1,'2024-07-04','250.00',NULL);
/*!40000 ALTER TABLE `reconcile_forecast` ENABLE KEYS */;



--
-- Definition of table `reconcile_settings`
--

DROP TABLE IF EXISTS `reconcile_settings`;
CREATE TABLE `reconcile_settings` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `TYPE` int(11) DEFAULT '1',
  `NAME` mediumtext,
  `USERNAME` mediumtext,
  `COOKIE` varchar(500) DEFAULT NULL,
  `SEARCH` mediumtext,
  `TABLENAME` varchar(300) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `reconcile_settings`
--

/*!40000 ALTER TABLE `reconcile_settings` DISABLE KEYS */;
INSERT INTO `reconcile_settings` (`ID`,`TYPE`,`NAME`,`USERNAME`,`COOKIE`,`SEARCH`,`TABLENAME`) VALUES 
 (1,2,NULL,NULL,'5es5sq744qm3kyap0ns0khh9','{\"gridWidth\":634.7669999999999,\"thWidths\":{\"grid_headcell_icons\":18.4,\"grid_headcell_checkbox\":18.4,\"grid_headcell_field\":20.466699999999996,\"grid_headcell_field1\":119.31700000000001,\"grid_headcell_field2\":127.75,\"grid_headcell_field3\":105.1,\"grid_headcell_field4\":144.933}}','reconcile_forecast'),
 (2,2,NULL,NULL,'5es5sq744qm3kyap0ns0khh9','{\"gridWidth\":358.167,\"thWidths\":{\"grid_headcell_checkbox\":18.4,\"grid_headcell_field\":124,\"grid_headcell_field1\":54.6333,\"grid_headcell_field2\":56.933299999999996,\"grid_headcell_field3\":47}}','p_real_panel');
/*!40000 ALTER TABLE `reconcile_settings` ENABLE KEYS */;




/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
